VPTOVF(1)

NAME
vptovf - convert TeX virtual property list (vpl) files to virtual font metric (vf) files

SYNOPSIS
vptovf [-verbose] vpl_file[.vpl] [vfm_file[.vf] [tfm_file[.tfm]]]

DESCRIPTION
The vptovf program translates a (plain text) property list file to a pair of (binary) files in vf (virtual font) and tfm (TeX font metric) formats. Thus, a virtual font file can be edited and its exact contents can be displayed mnemonically. New virtual fonts, which map characters as seen by TeX into an arbitrary sequence of low-level typesetting operations, can also be created in this way. See vftovp(1) for detailed references on virtual fonts.

All three filenames, vpl_file, vf_file, and tfm_file, are extended with the appropriate suffix if necessary. No path searching is done for the vpl_file.

OPTIONS
By default, the program operates silently. With -verbose, some reports are written to stdout. The standard -help and -version options are also supported.

Font utility topic on CTAN: https://ctan.org/topic/font-util
Package page on CTAN: https://ctan.org/pkg/vptovf
Section in the Web2c manual: https://tug.org/texinfohtml/web2c.html#vptovf-invocation
Typeset source code, including the vpl file format description: https://ctan.org/pkg/knuth-pdf

SEE ALSO
pltotf(1), tftopl(1), vftovp(1).

AUTHORS
Donald E. Knuth wrote the program, based in part on an idea of David Fuchs, starting with the code for pltotf(1). Karl Berry adapted it for compilation with web2c.

Public discussion list and bug reports: https://lists.tug.org/tex-k